%define upstream_name    Net-INET6Glue
%define upstream_version 0.603

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Make L<IO::Socket::INET> behave like
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(Net::FTP)
BuildArch: noarch

%description
the Net::INET6Glue manpage is a collection of modules to make common
modules IPv6 ready by hotpatching them.

Unfortunatly the current state of IPv6 support in perl is that no IPv6
support is in the core and that a lot of important modules (like the
Net::FTP manpage, the Net::SMTP manpage, the LWP manpage,...) do not
support IPv6 even if the modules for IPv6 sockets like the Socket6 manpage,
the IO::Socket::IP manpage or the IO::Socket::INET6 manpage are available.

This module tries to mitigate this by hotpatching. Currently the following
submodules are available:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
env PERL_MM_USE_DEFAULT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes COPYRIGHT README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.603.0-5.mga6
+ Revision: 1031091
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.603.0-4.mga6
+ Revision: 944758
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.603.0-3.mga5
+ Revision: 744367
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.603.0-2.mga5
+ Revision: 685668
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 sander85 <sander85> 0.603.0-1.mga5
+ Revision: 673532
- update to 0.603

* Sun Jan 19 2014 shlomif <shlomif> 0.602.0-1.mga5
+ Revision: 566974
- imported package perl-Net-INET6Glue


* Sun Jan 19 2014 cpan2dist 0.602-1mga
- initial mageia release, generated with cpan2dist
